## org.apache.lucene.queryparser.flexible.standard.builders
Class TermRangeQueryNodeBuilder

    java.lang.Object
      org.apache.lucene.queryparser.flexible.standard.builders.TermRangeQueryNodeBuilder

All Implemented Interfaces:
  QueryBuilder, StandardQueryBuilder

    public class TermRangeQueryNodeBuilder

extends Object
implements StandardQueryBuilder

Builds a `TermRangeQuery` object from a `TermRangeQueryNode` object.

Constructor Summary
`TermRangeQueryNodeBuilder()`

Method Summary
`TermRangeQuery` `build(QueryNode queryNode)` Builds some kind of object from a query tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TermRangeQueryNodeBuilder

    public TermRangeQueryNodeBuilder()

Method Detail

### build

    public TermRangeQuery build(QueryNode queryNode)
                         throws QueryNodeException

  Description copied from interface: `QueryBuilder`
  Builds some kind of object from a query tree.

  Specified by:
    `build` in interface `QueryBuilder`
  Specified by:
    `build` in interface `StandardQueryBuilder`
  Parameters:
    `queryNode` - the query tree root node
  Returns:
    some object generated from the query tree
  Throws:
    `QueryNodeException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.